import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod") version "1.2-SNAPSHOT"
    id("io.gitlab.jfronny.libjf.libjf-config-compiler-plugin")
}

loom {
    accessWidenerPath.set(file("src/client/resources/slyde.accesswidener"))
}

repositories {
    maven("https://api.modrinth.com/maven")
}

dependencies {
    modCompileOnly("maven.modrinth:sodium:mc1.19-0.4.2")

    modImplementation("io.gitlab.jfronny.libjf:libjf-config-core-v1:${prop("libjf_version")}")

    // For testing in dev environment
    modLocalRuntime("net.fabricmc.fabric-api:fabric-api:0.68.0+1.19.2")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${prop("libjf_version")}")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-config-reflect-v1:${prop("libjf_version")}")
    modLocalRuntime("com.terraformersmc:modmenu:4.1.1")
}
